{ This is simply a TEdit component that allows you to only enter
numeric values in it (0..9, ., -, etc)

This component is freeware. Do with it what ever you want. but 
I will not be held liable for any damage it does (you have the source)

For any questions or comments I can be reached at:
 robert@alpine.net
}
unit SKEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Buttons, DsgnIntf, stdctrls;

type
  TAbout = class(TPropertyEditor)
  public
    procedure Edit; override;
    function GetValue: string; override;
  end;

  TSKEdit = class(TEdit)
  private
    FAbout: TAbout;
  public
    constructor Create(AOwner: TComponent); override;
    procedure KeyPress(var Key: Char); override;
  published
    property About: TAbout read FAbout write FAbout;
    Property Text;
  end;

procedure Register;

implementation


procedure TAbout.Edit;
begin
  Application.MessageBox('TSKEdit component v1.00 for Delphi 3.0. (C) 1997 Robert Jones. ' + #13 +
                'This component is freeware.' + #13 + 'email robert@alpine.net for any comments etc.',
                         'About TSKEdit Component', MB_OK + MB_ICONINFORMATION);
end;

function TAbout.GetValue: string;
begin
  Result:= '(Double-Click here)';
end;

constructor TSKEdit.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle:= ControlStyle + [csAcceptsControls];
end;

procedure Register;
begin
  RegisterComponents('Samples', [TSKEdit]);
  RegisterPropertyEditor(TypeInfo(TAbout), TSKEdit, 'ABOUT', TAbout);
end;

procedure TSKEdit.KeyPress(var Key: Char);
begin
    If not (Key in ['0'..'9','.', '-', #8, #13]) then
     Key := #0;
    If Key = '.' then
     begin
      If Pos('.', Text) > 0 then
      Key := #0;
     end;
    If Key = '-' then
     begin
      If Pos('-', Text) > 0 then
      Key := #0;
     end;
end;

end.
